from db.location_datastore import LocationDatastore
from db.entities import Location, UserCluster, PopularLocation
from typing import List
from db.agi.agi_repository import AgiRepository


class Repository:
    def __init__(self):
        self.store = LocationDatastore.get_instance()
        self.agi_repo = AgiRepository()

    def add_location(self, location: Location):
        self.store.add(location)

    def get_locations(self) -> List[Location]:
        agi_locations = self.agi_repo.getLocations()
        return [Location(agi_loc) for agi_loc in agi_locations]

    def add_user_cluster(self, cluster: UserCluster):
        print(cluster)

    def add_popular_location(self, popular_location: PopularLocation):
        print(popular_location)
